Open SCAP Library

Public Member Functions | Data Fields
xccdf_refine_value Struct Reference
XCCDF

XCCDF refine value option used in the profile. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
void | xccdf_refine_value_free (struct xccdf_refine_value *rv)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | xccdf_refine_value_get_item (const struct xccdf_refine_value *rv)
const char * | xccdf_refine_value_get_selector (const struct xccdf_refine_value *rv)
xccdf_operator_t | xccdf_refine_value_get_oper (const struct xccdf_refine_value *rv)
struct oscap_text_iterator * | xccdf_refine_value_get_remarks (const struct xccdf_refine_value *rv)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
struct xccdf_refine_value * | xccdf_refine_value_new (void)
struct xccdf_refine_value * | xccdf_refine_value_clone (const struct xccdf_refine_value *old_value)
bool | xccdf_refine_value_set_item (struct xccdf_refine_value *obj, const char *newval)
bool | xccdf_refine_value_set_selector (struct xccdf_refine_value *obj, const char *newval)
bool | xccdf_refine_value_set_oper (struct xccdf_refine_value *obj, xccdf_operator_t newval)
bool | xccdf_refine_value_add_remark (struct xccdf_refine_value *obj, struct oscap_text *item)

## Data Fields
char * | item
char * | selector
xccdf_operator_t | oper
struct oscap_list * | remarks

## Detailed Description

XCCDF refine value option used in the profile.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h